Search
lxdream.org :: lxdream/configure :: diff
lxdream 0.9.1
released Jun 29
Download Now
filename configure
changeset 537:d924be49e192
prev529:06ffbecc7262
next539:75f3e594d4a7
author nkeynes
date Tue Nov 20 10:27:58 2007 +0000 (12 years ago)
permissions -rw-r--r--
last change Move gtk UI into gtkui subdir (prep for non-gtk builds), and protect with
an automake conditional
file annotate diff log raw
1.1 --- a/configure Mon Nov 19 08:45:00 2007 +0000
1.2 +++ b/configure Tue Nov 20 10:27:58 2007 +0000
1.3 @@ -699,14 +699,18 @@
1.4 host_vendor
1.5 host_os
1.6 PKG_CONFIG
1.7 -PACKAGE_CFLAGS
1.8 -PACKAGE_LIBS
1.9 +LIBPNG_CFLAGS
1.10 +LIBPNG_LIBS
1.11 +GTK_CFLAGS
1.12 +GTK_LIBS
1.13 +GUI_GTK_TRUE
1.14 +GUI_GTK_FALSE
1.15 +BUILD_SH4X86_TRUE
1.16 +BUILD_SH4X86_FALSE
1.17 ESOUND_CFLAGS
1.18 ESOUND_LIBS
1.19 AUDIO_ESOUND_TRUE
1.20 AUDIO_ESOUND_FALSE
1.21 -BUILD_SH4X86_TRUE
1.22 -BUILD_SH4X86_FALSE
1.23 CDROM_LINUX_TRUE
1.24 CDROM_LINUX_FALSE
1.25 SHCC
1.26 @@ -748,8 +752,10 @@
1.27 CPPFLAGS
1.28 CPP
1.29 PKG_CONFIG
1.30 -PACKAGE_CFLAGS
1.31 -PACKAGE_LIBS
1.32 +LIBPNG_CFLAGS
1.33 +LIBPNG_LIBS
1.34 +GTK_CFLAGS
1.35 +GTK_LIBS
1.36 ESOUND_CFLAGS
1.37 ESOUND_LIBS'
1.38
1.39 @@ -1344,10 +1350,11 @@
1.40 you have headers in a nonstandard directory <include dir>
1.41 CPP C preprocessor
1.42 PKG_CONFIG path to pkg-config utility
1.43 - PACKAGE_CFLAGS
1.44 - C compiler flags for PACKAGE, overriding pkg-config
1.45 - PACKAGE_LIBS
1.46 - linker flags for PACKAGE, overriding pkg-config
1.47 + LIBPNG_CFLAGS
1.48 + C compiler flags for LIBPNG, overriding pkg-config
1.49 + LIBPNG_LIBS linker flags for LIBPNG, overriding pkg-config
1.50 + GTK_CFLAGS C compiler flags for GTK, overriding pkg-config
1.51 + GTK_LIBS linker flags for GTK, overriding pkg-config
1.52 ESOUND_CFLAGS
1.53 C compiler flags for ESOUND, overriding pkg-config
1.54 ESOUND_LIBS linker flags for ESOUND, overriding pkg-config
1.55 @@ -5057,20 +5064,20 @@
1.56 fi
1.57
1.58 pkg_failed=no
1.59 -{ echo "$as_me:$LINENO: checking for PACKAGE" >&5
1.60 -echo $ECHO_N "checking for PACKAGE... $ECHO_C" >&6; }
1.61 +{ echo "$as_me:$LINENO: checking for LIBPNG" >&5
1.62 +echo $ECHO_N "checking for LIBPNG... $ECHO_C" >&6; }
1.63
1.64 if test -n "$PKG_CONFIG"; then
1.65 - if test -n "$PACKAGE_CFLAGS"; then
1.66 - pkg_cv_PACKAGE_CFLAGS="$PACKAGE_CFLAGS"
1.67 + if test -n "$LIBPNG_CFLAGS"; then
1.68 + pkg_cv_LIBPNG_CFLAGS="$LIBPNG_CFLAGS"
1.69 else
1.70 if test -n "$PKG_CONFIG" && \
1.71 - { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \" gtk+-2.0 libpng \"") >&5
1.72 - ($PKG_CONFIG --exists --print-errors " gtk+-2.0 libpng ") 2>&5
1.73 + { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libpng \"") >&5
1.74 + ($PKG_CONFIG --exists --print-errors "libpng ") 2>&5
1.75 ac_status=$?
1.76 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.77 (exit $ac_status); }; then
1.78 - pkg_cv_PACKAGE_CFLAGS=`$PKG_CONFIG --cflags " gtk+-2.0 libpng " 2>/dev/null`
1.79 + pkg_cv_LIBPNG_CFLAGS=`$PKG_CONFIG --cflags "libpng " 2>/dev/null`
1.80 else
1.81 pkg_failed=yes
1.82 fi
1.83 @@ -5079,16 +5086,16 @@
1.84 pkg_failed=untried
1.85 fi
1.86 if test -n "$PKG_CONFIG"; then
1.87 - if test -n "$PACKAGE_LIBS"; then
1.88 - pkg_cv_PACKAGE_LIBS="$PACKAGE_LIBS"
1.89 + if test -n "$LIBPNG_LIBS"; then
1.90 + pkg_cv_LIBPNG_LIBS="$LIBPNG_LIBS"
1.91 else
1.92 if test -n "$PKG_CONFIG" && \
1.93 - { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \" gtk+-2.0 libpng \"") >&5
1.94 - ($PKG_CONFIG --exists --print-errors " gtk+-2.0 libpng ") 2>&5
1.95 + { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libpng \"") >&5
1.96 + ($PKG_CONFIG --exists --print-errors "libpng ") 2>&5
1.97 ac_status=$?
1.98 echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.99 (exit $ac_status); }; then
1.100 - pkg_cv_PACKAGE_LIBS=`$PKG_CONFIG --libs " gtk+-2.0 libpng " 2>/dev/null`
1.101 + pkg_cv_LIBPNG_LIBS=`$PKG_CONFIG --libs "libpng " 2>/dev/null`
1.102 else
1.103 pkg_failed=yes
1.104 fi
1.105 @@ -5107,33 +5114,33 @@
1.106 _pkg_short_errors_supported=no
1.107 fi
1.108 if test $_pkg_short_errors_supported = yes; then
1.109 - PACKAGE_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors " gtk+-2.0 libpng "`
1.110 + LIBPNG_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "libpng "`
1.111 else
1.112 - PACKAGE_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors " gtk+-2.0 libpng "`
1.113 + LIBPNG_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "libpng "`
1.114 fi
1.115 # Put the nasty error message in config.log where it belongs
1.116 - echo "$PACKAGE_PKG_ERRORS" >&5
1.117 -
1.118 - { { echo "$as_me:$LINENO: error: Package requirements ( gtk+-2.0 libpng ) were not met:
1.119 -
1.120 -$PACKAGE_PKG_ERRORS
1.121 + echo "$LIBPNG_PKG_ERRORS" >&5
1.122 +
1.123 + { { echo "$as_me:$LINENO: error: Package requirements (libpng ) were not met:
1.124 +
1.125 +$LIBPNG_PKG_ERRORS
1.126
1.127 Consider adjusting the PKG_CONFIG_PATH environment variable if you
1.128 installed software in a non-standard prefix.
1.129
1.130 -Alternatively, you may set the environment variables PACKAGE_CFLAGS
1.131 -and PACKAGE_LIBS to avoid the need to call pkg-config.
1.132 +Alternatively, you may set the environment variables LIBPNG_CFLAGS
1.133 +and LIBPNG_LIBS to avoid the need to call pkg-config.
1.134 See the pkg-config man page for more details.
1.135 " >&5
1.136 -echo "$as_me: error: Package requirements ( gtk+-2.0 libpng ) were not met:
1.137 -
1.138 -$PACKAGE_PKG_ERRORS
1.139 +echo "$as_me: error: Package requirements (libpng ) were not met:
1.140 +
1.141 +$LIBPNG_PKG_ERRORS
1.142
1.143 Consider adjusting the PKG_CONFIG_PATH environment variable if you
1.144 installed software in a non-standard prefix.
1.145
1.146 -Alternatively, you may set the environment variables PACKAGE_CFLAGS
1.147 -and PACKAGE_LIBS to avoid the need to call pkg-config.
1.148 +Alternatively, you may set the environment variables LIBPNG_CFLAGS
1.149 +and LIBPNG_LIBS to avoid the need to call pkg-config.
1.150 See the pkg-config man page for more details.
1.151 " >&2;}
1.152 { (exit 1); exit 1; }; }
1.153 @@ -5142,8 +5149,8 @@
1.154 is in your PATH or set the PKG_CONFIG environment variable to the full
1.155 path to pkg-config.
1.156
1.157 -Alternatively, you may set the environment variables PACKAGE_CFLAGS
1.158 -and PACKAGE_LIBS to avoid the need to call pkg-config.
1.159 +Alternatively, you may set the environment variables LIBPNG_CFLAGS
1.160 +and LIBPNG_LIBS to avoid the need to call pkg-config.
1.161 See the pkg-config man page for more details.
1.162
1.163 To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
1.164 @@ -5152,181 +5159,21 @@
1.165 is in your PATH or set the PKG_CONFIG environment variable to the full
1.166 path to pkg-config.
1.167
1.168 -Alternatively, you may set the environment variables PACKAGE_CFLAGS
1.169 -and PACKAGE_LIBS to avoid the need to call pkg-config.
1.170 +Alternatively, you may set the environment variables LIBPNG_CFLAGS
1.171 +and LIBPNG_LIBS to avoid the need to call pkg-config.
1.172 See the pkg-config man page for more details.
1.173
1.174 To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
1.175 See \`config.log' for more details." >&2;}
1.176 { (exit 1); exit 1; }; }
1.177 else
1.178 - PACKAGE_CFLAGS=$pkg_cv_PACKAGE_CFLAGS
1.179 - PACKAGE_LIBS=$pkg_cv_PACKAGE_LIBS
1.180 + LIBPNG_CFLAGS=$pkg_cv_LIBPNG_CFLAGS
1.181 + LIBPNG_LIBS=$pkg_cv_LIBPNG_LIBS
1.182 { echo "$as_me:$LINENO: result: yes" >&5
1.183 echo "${ECHO_T}yes" >&6; }
1.184 :
1.185 fi
1.186
1.187 -pkg_failed=no
1.188 -{ echo "$as_me:$LINENO: checking for ESOUND" >&5
1.189 -echo $ECHO_N "checking for ESOUND... $ECHO_C" >&6; }
1.190 -
1.191 -if test -n "$PKG_CONFIG"; then
1.192 - if test -n "$ESOUND_CFLAGS"; then
1.193 - pkg_cv_ESOUND_CFLAGS="$ESOUND_CFLAGS"
1.194 - else
1.195 - if test -n "$PKG_CONFIG" && \
1.196 - { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"esound\"") >&5
1.197 - ($PKG_CONFIG --exists --print-errors "esound") 2>&5
1.198 - ac_status=$?
1.199 - echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.200 - (exit $ac_status); }; then
1.201 - pkg_cv_ESOUND_CFLAGS=`$PKG_CONFIG --cflags "esound" 2>/dev/null`
1.202 -else
1.203 - pkg_failed=yes
1.204 -fi
1.205 - fi
1.206 -else
1.207 - pkg_failed=untried
1.208 -fi
1.209 -if test -n "$PKG_CONFIG"; then
1.210 - if test -n "$ESOUND_LIBS"; then
1.211 - pkg_cv_ESOUND_LIBS="$ESOUND_LIBS"
1.212 - else
1.213 - if test -n "$PKG_CONFIG" && \
1.214 - { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"esound\"") >&5
1.215 - ($PKG_CONFIG --exists --print-errors "esound") 2>&5
1.216 - ac_status=$?
1.217 - echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.218 - (exit $ac_status); }; then
1.219 - pkg_cv_ESOUND_LIBS=`$PKG_CONFIG --libs "esound" 2>/dev/null`
1.220 -else
1.221 - pkg_failed=yes
1.222 -fi
1.223 - fi
1.224 -else
1.225 - pkg_failed=untried
1.226 -fi
1.227 -
1.228 -
1.229 -
1.230 -if test $pkg_failed = yes; then
1.231 -
1.232 -if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
1.233 - _pkg_short_errors_supported=yes
1.234 -else
1.235 - _pkg_short_errors_supported=no
1.236 -fi
1.237 - if test $_pkg_short_errors_supported = yes; then
1.238 - ESOUND_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "esound"`
1.239 - else
1.240 - ESOUND_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "esound"`
1.241 - fi
1.242 - # Put the nasty error message in config.log where it belongs
1.243 - echo "$ESOUND_PKG_ERRORS" >&5
1.244 -
1.245 - echo "Warning: esound not found - building without audio support"
1.246 -elif test $pkg_failed = untried; then
1.247 - echo "Warning: esound not found - building without audio support"
1.248 -else
1.249 - ESOUND_CFLAGS=$pkg_cv_ESOUND_CFLAGS
1.250 - ESOUND_LIBS=$pkg_cv_ESOUND_LIBS
1.251 - { echo "$as_me:$LINENO: result: yes" >&5
1.252 -echo "${ECHO_T}yes" >&6; }
1.253 -
1.254 - HAVE_ESOUND='yes'
1.255 -
1.256 -cat >>confdefs.h <<\_ACEOF
1.257 -#define HAVE_ESOUND 1
1.258 -_ACEOF
1.259 -
1.260 -fi
1.261 -
1.262 -
1.263 -if test "$HAVE_ESOUND" = 'yes' ; then
1.264 - AUDIO_ESOUND_TRUE=
1.265 - AUDIO_ESOUND_FALSE='#'
1.266 -else
1.267 - AUDIO_ESOUND_TRUE='#'
1.268 - AUDIO_ESOUND_FALSE=
1.269 -fi
1.270 -
1.271 -
1.272 -
1.273 -{ echo "$as_me:$LINENO: checking for uncompress in -lz" >&5
1.274 -echo $ECHO_N "checking for uncompress in -lz... $ECHO_C" >&6; }
1.275 -if test "${ac_cv_lib_z_uncompress+set}" = set; then
1.276 - echo $ECHO_N "(cached) $ECHO_C" >&6
1.277 -else
1.278 - ac_check_lib_save_LIBS=$LIBS
1.279 -LIBS="-lz $LIBS"
1.280 -cat >conftest.$ac_ext <<_ACEOF
1.281 -/* confdefs.h. */
1.282 -_ACEOF
1.283 -cat confdefs.h >>conftest.$ac_ext
1.284 -cat >>conftest.$ac_ext <<_ACEOF
1.285 -/* end confdefs.h. */
1.286 -
1.287 -/* Override any GCC internal prototype to avoid an error.
1.288 - Use char because int might match the return type of a GCC
1.289 - builtin and then its argument prototype would still apply. */
1.290 -#ifdef __cplusplus
1.291 -extern "C"
1.292 -#endif
1.293 -char uncompress ();
1.294 -int
1.295 -main ()
1.296 -{
1.297 -return uncompress ();
1.298 - ;
1.299 - return 0;
1.300 -}
1.301 -_ACEOF
1.302 -rm -f conftest.$ac_objext conftest$ac_exeext
1.303 -if { (ac_try="$ac_link"
1.304 -case "(($ac_try" in
1.305 - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
1.306 - *) ac_try_echo=$ac_try;;
1.307 -esac
1.308 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
1.309 - (eval "$ac_link") 2>conftest.er1
1.310 - ac_status=$?
1.311 - grep -v '^ *+' conftest.er1 >conftest.err
1.312 - rm -f conftest.er1
1.313 - cat conftest.err >&5
1.314 - echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.315 - (exit $ac_status); } && {
1.316 - test -z "$ac_c_werror_flag" ||
1.317 - test ! -s conftest.err
1.318 - } && test -s conftest$ac_exeext &&
1.319 - $as_test_x conftest$ac_exeext; then
1.320 - ac_cv_lib_z_uncompress=yes
1.321 -else
1.322 - echo "$as_me: failed program was:" >&5
1.323 -sed 's/^/| /' conftest.$ac_ext >&5
1.324 -
1.325 - ac_cv_lib_z_uncompress=no
1.326 -fi
1.327 -
1.328 -rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
1.329 - conftest$ac_exeext conftest.$ac_ext
1.330 -LIBS=$ac_check_lib_save_LIBS
1.331 -fi
1.332 -{ echo "$as_me:$LINENO: result: $ac_cv_lib_z_uncompress" >&5
1.333 -echo "${ECHO_T}$ac_cv_lib_z_uncompress" >&6; }
1.334 -if test $ac_cv_lib_z_uncompress = yes; then
1.335 - cat >>confdefs.h <<_ACEOF
1.336 -#define HAVE_LIBZ 1
1.337 -_ACEOF
1.338 -
1.339 - LIBS="-lz $LIBS"
1.340 -
1.341 -else
1.342 -
1.343 - echo "Zlib (libz.so) could not be found, but is required."
1.344 - exit 1
1.345 -fi
1.346 -
1.347
1.348 { echo "$as_me:$LINENO: checking for glXQueryVersion in -lGL" >&5
1.349 echo $ECHO_N "checking for glXQueryVersion in -lGL... $ECHO_C" >&6; }
1.350 @@ -5606,6 +5453,203 @@
1.351
1.352
1.353
1.354 +{ echo "$as_me:$LINENO: checking for uncompress in -lz" >&5
1.355 +echo $ECHO_N "checking for uncompress in -lz... $ECHO_C" >&6; }
1.356 +if test "${ac_cv_lib_z_uncompress+set}" = set; then
1.357 + echo $ECHO_N "(cached) $ECHO_C" >&6
1.358 +else
1.359 + ac_check_lib_save_LIBS=$LIBS
1.360 +LIBS="-lz $LIBS"
1.361 +cat >conftest.$ac_ext <<_ACEOF
1.362 +/* confdefs.h. */
1.363 +_ACEOF
1.364 +cat confdefs.h >>conftest.$ac_ext
1.365 +cat >>conftest.$ac_ext <<_ACEOF
1.366 +/* end confdefs.h. */
1.367 +
1.368 +/* Override any GCC internal prototype to avoid an error.
1.369 + Use char because int might match the return type of a GCC
1.370 + builtin and then its argument prototype would still apply. */
1.371 +#ifdef __cplusplus
1.372 +extern "C"
1.373 +#endif
1.374 +char uncompress ();
1.375 +int
1.376 +main ()
1.377 +{
1.378 +return uncompress ();
1.379 + ;
1.380 + return 0;
1.381 +}
1.382 +_ACEOF
1.383 +rm -f conftest.$ac_objext conftest$ac_exeext
1.384 +if { (ac_try="$ac_link"
1.385 +case "(($ac_try" in
1.386 + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
1.387 + *) ac_try_echo=$ac_try;;
1.388 +esac
1.389 +eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
1.390 + (eval "$ac_link") 2>conftest.er1
1.391 + ac_status=$?
1.392 + grep -v '^ *+' conftest.er1 >conftest.err
1.393 + rm -f conftest.er1
1.394 + cat conftest.err >&5
1.395 + echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.396 + (exit $ac_status); } && {
1.397 + test -z "$ac_c_werror_flag" ||
1.398 + test ! -s conftest.err
1.399 + } && test -s conftest$ac_exeext &&
1.400 + $as_test_x conftest$ac_exeext; then
1.401 + ac_cv_lib_z_uncompress=yes
1.402 +else
1.403 + echo "$as_me: failed program was:" >&5
1.404 +sed 's/^/| /' conftest.$ac_ext >&5
1.405 +
1.406 + ac_cv_lib_z_uncompress=no
1.407 +fi
1.408 +
1.409 +rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
1.410 + conftest$ac_exeext conftest.$ac_ext
1.411 +LIBS=$ac_check_lib_save_LIBS
1.412 +fi
1.413 +{ echo "$as_me:$LINENO: result: $ac_cv_lib_z_uncompress" >&5
1.414 +echo "${ECHO_T}$ac_cv_lib_z_uncompress" >&6; }
1.415 +if test $ac_cv_lib_z_uncompress = yes; then
1.416 + cat >>confdefs.h <<_ACEOF
1.417 +#define HAVE_LIBZ 1
1.418 +_ACEOF
1.419 +
1.420 + LIBS="-lz $LIBS"
1.421 +
1.422 +else
1.423 +
1.424 + echo "Zlib (libz.so) could not be found, but is required."
1.425 + exit 1
1.426 +fi
1.427 +
1.428 +
1.429 +
1.430 +pkg_failed=no
1.431 +{ echo "$as_me:$LINENO: checking for GTK" >&5
1.432 +echo $ECHO_N "checking for GTK... $ECHO_C" >&6; }
1.433 +
1.434 +if test -n "$PKG_CONFIG"; then
1.435 + if test -n "$GTK_CFLAGS"; then
1.436 + pkg_cv_GTK_CFLAGS="$GTK_CFLAGS"
1.437 + else
1.438 + if test -n "$PKG_CONFIG" && \
1.439 + { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"gtk+-2.0\"") >&5
1.440 + ($PKG_CONFIG --exists --print-errors "gtk+-2.0") 2>&5
1.441 + ac_status=$?
1.442 + echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.443 + (exit $ac_status); }; then
1.444 + pkg_cv_GTK_CFLAGS=`$PKG_CONFIG --cflags "gtk+-2.0" 2>/dev/null`
1.445 +else
1.446 + pkg_failed=yes
1.447 +fi
1.448 + fi
1.449 +else
1.450 + pkg_failed=untried
1.451 +fi
1.452 +if test -n "$PKG_CONFIG"; then
1.453 + if test -n "$GTK_LIBS"; then
1.454 + pkg_cv_GTK_LIBS="$GTK_LIBS"
1.455 + else
1.456 + if test -n "$PKG_CONFIG" && \
1.457 + { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"gtk+-2.0\"") >&5
1.458 + ($PKG_CONFIG --exists --print-errors "gtk+-2.0") 2>&5
1.459 + ac_status=$?
1.460 + echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.461 + (exit $ac_status); }; then
1.462 + pkg_cv_GTK_LIBS=`$PKG_CONFIG --libs "gtk+-2.0" 2>/dev/null`
1.463 +else
1.464 + pkg_failed=yes
1.465 +fi
1.466 + fi
1.467 +else
1.468 + pkg_failed=untried
1.469 +fi
1.470 +
1.471 +
1.472 +
1.473 +if test $pkg_failed = yes; then
1.474 +
1.475 +if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
1.476 + _pkg_short_errors_supported=yes
1.477 +else
1.478 + _pkg_short_errors_supported=no
1.479 +fi
1.480 + if test $_pkg_short_errors_supported = yes; then
1.481 + GTK_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "gtk+-2.0"`
1.482 + else
1.483 + GTK_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "gtk+-2.0"`
1.484 + fi
1.485 + # Put the nasty error message in config.log where it belongs
1.486 + echo "$GTK_PKG_ERRORS" >&5
1.487 +
1.488 + { { echo "$as_me:$LINENO: error: Package requirements (gtk+-2.0) were not met:
1.489 +
1.490 +$GTK_PKG_ERRORS
1.491 +
1.492 +Consider adjusting the PKG_CONFIG_PATH environment variable if you
1.493 +installed software in a non-standard prefix.
1.494 +
1.495 +Alternatively, you may set the environment variables GTK_CFLAGS
1.496 +and GTK_LIBS to avoid the need to call pkg-config.
1.497 +See the pkg-config man page for more details.
1.498 +" >&5
1.499 +echo "$as_me: error: Package requirements (gtk+-2.0) were not met:
1.500 +
1.501 +$GTK_PKG_ERRORS
1.502 +
1.503 +Consider adjusting the PKG_CONFIG_PATH environment variable if you
1.504 +installed software in a non-standard prefix.
1.505 +
1.506 +Alternatively, you may set the environment variables GTK_CFLAGS
1.507 +and GTK_LIBS to avoid the need to call pkg-config.
1.508 +See the pkg-config man page for more details.
1.509 +" >&2;}
1.510 + { (exit 1); exit 1; }; }
1.511 +elif test $pkg_failed = untried; then
1.512 + { { echo "$as_me:$LINENO: error: The pkg-config script could not be found or is too old. Make sure it
1.513 +is in your PATH or set the PKG_CONFIG environment variable to the full
1.514 +path to pkg-config.
1.515 +
1.516 +Alternatively, you may set the environment variables GTK_CFLAGS
1.517 +and GTK_LIBS to avoid the need to call pkg-config.
1.518 +See the pkg-config man page for more details.
1.519 +
1.520 +To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
1.521 +See \`config.log' for more details." >&5
1.522 +echo "$as_me: error: The pkg-config script could not be found or is too old. Make sure it
1.523 +is in your PATH or set the PKG_CONFIG environment variable to the full
1.524 +path to pkg-config.
1.525 +
1.526 +Alternatively, you may set the environment variables GTK_CFLAGS
1.527 +and GTK_LIBS to avoid the need to call pkg-config.
1.528 +See the pkg-config man page for more details.
1.529 +
1.530 +To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
1.531 +See \`config.log' for more details." >&2;}
1.532 + { (exit 1); exit 1; }; }
1.533 +else
1.534 + GTK_CFLAGS=$pkg_cv_GTK_CFLAGS
1.535 + GTK_LIBS=$pkg_cv_GTK_LIBS
1.536 + { echo "$as_me:$LINENO: result: yes" >&5
1.537 +echo "${ECHO_T}yes" >&6; }
1.538 + HAVE_GTK='yes'
1.539 +fi
1.540 +
1.541 +
1.542 +if test "$HAVE_GTK" = 'yes'; then
1.543 + GUI_GTK_TRUE=
1.544 + GUI_GTK_FALSE='#'
1.545 +else
1.546 + GUI_GTK_TRUE='#'
1.547 + GUI_GTK_FALSE=
1.548 +fi
1.549 +
1.550 +
1.551 case $host_cpu in
1.552 i386|i486|i586|i686)
1.553 SH4_TRANSLATOR="x86"
1.554 @@ -5635,6 +5679,92 @@
1.555 fi
1.556
1.557
1.558 +
1.559 +pkg_failed=no
1.560 +{ echo "$as_me:$LINENO: checking for ESOUND" >&5
1.561 +echo $ECHO_N "checking for ESOUND... $ECHO_C" >&6; }
1.562 +
1.563 +if test -n "$PKG_CONFIG"; then
1.564 + if test -n "$ESOUND_CFLAGS"; then
1.565 + pkg_cv_ESOUND_CFLAGS="$ESOUND_CFLAGS"
1.566 + else
1.567 + if test -n "$PKG_CONFIG" && \
1.568 + { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"esound\"") >&5
1.569 + ($PKG_CONFIG --exists --print-errors "esound") 2>&5
1.570 + ac_status=$?
1.571 + echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.572 + (exit $ac_status); }; then
1.573 + pkg_cv_ESOUND_CFLAGS=`$PKG_CONFIG --cflags "esound" 2>/dev/null`
1.574 +else
1.575 + pkg_failed=yes
1.576 +fi
1.577 + fi
1.578 +else
1.579 + pkg_failed=untried
1.580 +fi
1.581 +if test -n "$PKG_CONFIG"; then
1.582 + if test -n "$ESOUND_LIBS"; then
1.583 + pkg_cv_ESOUND_LIBS="$ESOUND_LIBS"
1.584 + else
1.585 + if test -n "$PKG_CONFIG" && \
1.586 + { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"esound\"") >&5
1.587 + ($PKG_CONFIG --exists --print-errors "esound") 2>&5
1.588 + ac_status=$?
1.589 + echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.590 + (exit $ac_status); }; then
1.591 + pkg_cv_ESOUND_LIBS=`$PKG_CONFIG --libs "esound" 2>/dev/null`
1.592 +else
1.593 + pkg_failed=yes
1.594 +fi
1.595 + fi
1.596 +else
1.597 + pkg_failed=untried
1.598 +fi
1.599 +
1.600 +
1.601 +
1.602 +if test $pkg_failed = yes; then
1.603 +
1.604 +if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
1.605 + _pkg_short_errors_supported=yes
1.606 +else
1.607 + _pkg_short_errors_supported=no
1.608 +fi
1.609 + if test $_pkg_short_errors_supported = yes; then
1.610 + ESOUND_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "esound"`
1.611 + else
1.612 + ESOUND_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "esound"`
1.613 + fi
1.614 + # Put the nasty error message in config.log where it belongs
1.615 + echo "$ESOUND_PKG_ERRORS" >&5
1.616 +
1.617 + echo "Warning: esound not found - building without audio support"
1.618 +elif test $pkg_failed = untried; then
1.619 + echo "Warning: esound not found - building without audio support"
1.620 +else
1.621 + ESOUND_CFLAGS=$pkg_cv_ESOUND_CFLAGS
1.622 + ESOUND_LIBS=$pkg_cv_ESOUND_LIBS
1.623 + { echo "$as_me:$LINENO: result: yes" >&5
1.624 +echo "${ECHO_T}yes" >&6; }
1.625 +
1.626 + HAVE_ESOUND='yes'
1.627 +
1.628 +cat >>confdefs.h <<\_ACEOF
1.629 +#define HAVE_ESOUND 1
1.630 +_ACEOF
1.631 +
1.632 +fi
1.633 +
1.634 +
1.635 +if test "$HAVE_ESOUND" = 'yes' ; then
1.636 + AUDIO_ESOUND_TRUE=
1.637 + AUDIO_ESOUND_FALSE='#'
1.638 +else
1.639 + AUDIO_ESOUND_TRUE='#'
1.640 + AUDIO_ESOUND_FALSE=
1.641 +fi
1.642 +
1.643 +
1.644 if test "${ac_cv_header_linux_cdrom_h+set}" = set; then
1.645 { echo "$as_me:$LINENO: checking for linux/cdrom.h" >&5
1.646 echo $ECHO_N "checking for linux/cdrom.h... $ECHO_C" >&6; }
1.647 @@ -6053,6 +6183,7 @@
1.648 fi
1.649
1.650
1.651 +
1.652 GETTEXT_PACKAGE=lxdream
1.653
1.654
1.655 @@ -6061,9 +6192,6 @@
1.656 _ACEOF
1.657
1.658
1.659 -
1.660 -
1.661 -
1.662 ALL_LINGUAS="de pt_BR"
1.663
1.664
1.665 @@ -7679,6 +7807,20 @@
1.666 Usually this means the macro was only invoked conditionally." >&2;}
1.667 { (exit 1); exit 1; }; }
1.668 fi
1.669 +if test -z "${GUI_GTK_TRUE}" && test -z "${GUI_GTK_FALSE}"; then
1.670 + { { echo "$as_me:$LINENO: error: conditional \"GUI_GTK\" was never defined.
1.671 +Usually this means the macro was only invoked conditionally." >&5
1.672 +echo "$as_me: error: conditional \"GUI_GTK\" was never defined.
1.673 +Usually this means the macro was only invoked conditionally." >&2;}
1.674 + { (exit 1); exit 1; }; }
1.675 +fi
1.676 +if test -z "${BUILD_SH4X86_TRUE}" && test -z "${BUILD_SH4X86_FALSE}"; then
1.677 + { { echo "$as_me:$LINENO: error: conditional \"BUILD_SH4X86\" was never defined.
1.678 +Usually this means the macro was only invoked conditionally." >&5
1.679 +echo "$as_me: error: conditional \"BUILD_SH4X86\" was never defined.
1.680 +Usually this means the macro was only invoked conditionally." >&2;}
1.681 + { (exit 1); exit 1; }; }
1.682 +fi
1.683 if test -z "${AUDIO_ESOUND_TRUE}" && test -z "${AUDIO_ESOUND_FALSE}"; then
1.684 { { echo "$as_me:$LINENO: error: conditional \"AUDIO_ESOUND\" was never defined.
1.685 Usually this means the macro was only invoked conditionally." >&5
1.686 @@ -7686,13 +7828,6 @@
1.687 Usually this means the macro was only invoked conditionally." >&2;}
1.688 { (exit 1); exit 1; }; }
1.689 fi
1.690 -if test -z "${BUILD_SH4X86_TRUE}" && test -z "${BUILD_SH4X86_FALSE}"; then
1.691 - { { echo "$as_me:$LINENO: error: conditional \"BUILD_SH4X86\" was never defined.
1.692 -Usually this means the macro was only invoked conditionally." >&5
1.693 -echo "$as_me: error: conditional \"BUILD_SH4X86\" was never defined.
1.694 -Usually this means the macro was only invoked conditionally." >&2;}
1.695 - { (exit 1); exit 1; }; }
1.696 -fi
1.697 if test -z "${CDROM_LINUX_TRUE}" && test -z "${CDROM_LINUX_FALSE}"; then
1.698 { { echo "$as_me:$LINENO: error: conditional \"CDROM_LINUX\" was never defined.
1.699 Usually this means the macro was only invoked conditionally." >&5
1.700 @@ -8336,17 +8471,17 @@
1.701 host_vendor!$host_vendor$ac_delim
1.702 host_os!$host_os$ac_delim
1.703 PKG_CONFIG!$PKG_CONFIG$ac_delim
1.704 -PACKAGE_CFLAGS!$PACKAGE_CFLAGS$ac_delim
1.705 -PACKAGE_LIBS!$PACKAGE_LIBS$ac_delim
1.706 +LIBPNG_CFLAGS!$LIBPNG_CFLAGS$ac_delim
1.707 +LIBPNG_LIBS!$LIBPNG_LIBS$ac_delim
1.708 +GTK_CFLAGS!$GTK_CFLAGS$ac_delim
1.709 +GTK_LIBS!$GTK_LIBS$ac_delim
1.710 +GUI_GTK_TRUE!$GUI_GTK_TRUE$ac_delim
1.711 +GUI_GTK_FALSE!$GUI_GTK_FALSE$ac_delim
1.712 +BUILD_SH4X86_TRUE!$BUILD_SH4X86_TRUE$ac_delim
1.713 +BUILD_SH4X86_FALSE!$BUILD_SH4X86_FALSE$ac_delim
1.714 ESOUND_CFLAGS!$ESOUND_CFLAGS$ac_delim
1.715 ESOUND_LIBS!$ESOUND_LIBS$ac_delim
1.716 AUDIO_ESOUND_TRUE!$AUDIO_ESOUND_TRUE$ac_delim
1.717 -AUDIO_ESOUND_FALSE!$AUDIO_ESOUND_FALSE$ac_delim
1.718 -BUILD_SH4X86_TRUE!$BUILD_SH4X86_TRUE$ac_delim
1.719 -BUILD_SH4X86_FALSE!$BUILD_SH4X86_FALSE$ac_delim
1.720 -CDROM_LINUX_TRUE!$CDROM_LINUX_TRUE$ac_delim
1.721 -CDROM_LINUX_FALSE!$CDROM_LINUX_FALSE$ac_delim
1.722 -SHCC!$SHCC$ac_delim
1.723 _ACEOF
1.724
1.725 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
1.726 @@ -8388,6 +8523,10 @@
1.727 ac_delim='%!_!# '
1.728 for ac_last_try in false false false false false :; do
1.729 cat >conf$$subs.sed <<_ACEOF
1.730 +AUDIO_ESOUND_FALSE!$AUDIO_ESOUND_FALSE$ac_delim
1.731 +CDROM_LINUX_TRUE!$CDROM_LINUX_TRUE$ac_delim
1.732 +CDROM_LINUX_FALSE!$CDROM_LINUX_FALSE$ac_delim
1.733 +SHCC!$SHCC$ac_delim
1.734 SHLD!$SHLD$ac_delim
1.735 SHOBJCOPY!$SHOBJCOPY$ac_delim
1.736 ARMCC!$ARMCC$ac_delim
1.737 @@ -8417,7 +8556,7 @@
1.738 LTLIBOBJS!$LTLIBOBJS$ac_delim
1.739 _ACEOF
1.740
1.741 - if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 27; then
1.742 + if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 31; then
1.743 break
1.744 elif $ac_last_try; then
1.745 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
.